CVE-2006-2661

NameCVE-2006-2661
Descriptionftutil.c in Freetype before 2.2 allows remote attackers to cause a denial of service (crash) via a crafted font file that triggers a null dereference.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1095-1
NVD severitymedium (attack range: remote)
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
freetype (PTS)squeeze (security), squeeze2.4.2-2.1+squeeze4fixed
wheezy2.4.9-1.1fixed
wheezy (security)2.4.9-1.1+deb7u1fixed
jessie2.5.2-3fixed
sid2.5.2-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
freetypesource(unstable)2.2.1-1medium
freetypesourcesarge2.1.7-2.5mediumDSA-1095-1
freetypesourcewoody2.0.9-1woody1mediumDSA-1095-1

Search for package or bug name: Reporting problems